summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSteve Dibb <beandog@gentoo.org>2008-10-06 16:35:03 +0000
committerSteve Dibb <beandog@gentoo.org>2008-10-06 16:35:03 +0000
commit5cb10918474aca3336ee4cb7926206f3d978d9e6 (patch)
tree32de900632621a76df9b5d9851bb187e52b15c68
parentsvn path=/; revision=16 (diff)
downloadbeandog-5cb10918474aca3336ee4cb7926206f3d978d9e6.tar.gz
beandog-5cb10918474aca3336ee4cb7926206f3d978d9e6.tar.bz2
beandog-5cb10918474aca3336ee4cb7926206f3d978d9e6.zip
New ebuild, patch to display coverfiles in directory
svn path=/; revision=17
-rw-r--r--media-plugins/mythvideo/Manifest2
-rw-r--r--media-plugins/mythvideo/files/mythvideo-gallery-coverfile.patch31
-rw-r--r--media-plugins/mythvideo/mythvideo-0.20.2_p15087-r3.ebuild30
3 files changed, 63 insertions, 0 deletions
diff --git a/media-plugins/mythvideo/Manifest b/media-plugins/mythvideo/Manifest
index c5ff6df..fbd98e0 100644
--- a/media-plugins/mythvideo/Manifest
+++ b/media-plugins/mythvideo/Manifest
@@ -1,7 +1,9 @@
AUX mtd.init.d 577 RMD160 6e59a47874ece47bdac7b9dc7e0f2e1f03348429 SHA1 ed7b161ba64453946a6ccbbb05ee206cc52b006c SHA256 a4c958b689b99177baf486907f0d83b2d8ff8b72cd371fc29d1ff1f3636a512e
+AUX mythvideo-gallery-coverfile.patch 1033 RMD160 bace3b0a56907df4a343bdbe7124524f20746efc SHA1 7ab2bb3bb24e7c0174c25d21170e8c873466fcc4 SHA256 f5fbeebaf13ffebb7bd4024022a694717635042966bcdc1c09d36d13e534a484
AUX mythvideo-navigation-folders.patch 1295 RMD160 765b37ce39f81091d4755244eab4bba4b196b643 SHA1 58663bd69b81d500f6ddc7a73b52280d18784384 SHA256 01ac2a0097945daf624b3cb9ab454d9c66f730ccdabb0d10f93e4f87cda3fe10
AUX videogallery.patch 3420 RMD160 e48952ab4e35122dce5249416fc1534230724e05 SHA1 c28d4cf7f2b61c88443080175122ce3e6fe06fc9 SHA256 d431fc901c2c1f8c33093be73afca51c47d00ccba5ec3cc357c59c777c11bf34
EBUILD mythvideo-0.20.2_p15087-r1.ebuild 946 RMD160 8fcd3f72f7572d1eb0135c800cdcba0a0f1bedad SHA1 6389dedf4842847d2e8eb4c67ec741c61d46e4b4 SHA256 d05f3ddf27315215b0d58b0b9524eea68febf3a24573847bb3bc0d6891a285ca
EBUILD mythvideo-0.20.2_p15087-r2.ebuild 993 RMD160 c358b5bdee84d4cbb7d498bf55696db2e9e9f81e SHA1 8e63ff342b8c61f42e6a856c3d5cfd7aebeedb1a SHA256 f6e9d2df9e2a609b863d863109ec896f01d53b03ee0e3b3f87ea1db001acc681
+EBUILD mythvideo-0.20.2_p15087-r3.ebuild 929 RMD160 839cefe094fa6e0e8edb5cd892a67cfdb2ce738e SHA1 37fe87f026d9aa29b66ee0b92134cab6ca816c98 SHA256 2e7e3f22b732127c0cbe4238997544f037a312544c93cefba6f5f12782381bdf
MISC ChangeLog 536 RMD160 2c495ec92e8a3ecc405b1a0ce5b80b7c94496e21 SHA1 3a25b04fff4c70ff4ac9c6539673a52d86b5d728 SHA256 8d07017349b5ed8f1bf7852524e3f3ba83869a7df5db587abd8a65145d911493
MISC metadata.xml 222 RMD160 effccac2541ac4d0954899784d7d64c60a9c020e SHA1 c6bd979f236f5e6fe9332eb6568bee402efc793f SHA256 8b2065fecfbbdd0caa3c5eb86b98c22766db07f555edbf3127e9454b468ecff6
diff --git a/media-plugins/mythvideo/files/mythvideo-gallery-coverfile.patch b/media-plugins/mythvideo/files/mythvideo-gallery-coverfile.patch
new file mode 100644
index 0000000..3f79521
--- /dev/null
+++ b/media-plugins/mythvideo/files/mythvideo-gallery-coverfile.patch
@@ -0,0 +1,31 @@
+--- mythvideo/mythvideo/videogallery.cpp 2008-10-04 23:06:10.000000000 -0600
++++ mythvideo/mythvideo/videogallery.cpp.new 2008-10-04 23:08:10.000000000 -0600
+@@ -408,9 +408,26 @@ void VideoGallery::drawIcon(QPainter *p,
+
+ // load video icon
+ meta = m_video_list->getVideoListMetadata(curTreePos->getInt());
++
++ if (meta) {
++ QString filename = meta->Filename();
++
++ QStringList test_files;
++ test_files.append(filename + ".png");
++ test_files.append(filename + ".jpg");
++ test_files.append(filename + ".gif");
++ for (QStringList::const_iterator tfp = test_files.begin();
++ tfp != test_files.end(); ++tfp)
++ {
++ if (QFile::exists(*tfp))
++ {
++ icon_file = *tfp;
++ break;
++ }
++ icon_file = meta->CoverFile();
++ }
++ }
+
+- if (meta)
+- icon_file = meta->CoverFile();
+ }
+
+ int bw = backRegPix.width();
diff --git a/media-plugins/mythvideo/mythvideo-0.20.2_p15087-r3.ebuild b/media-plugins/mythvideo/mythvideo-0.20.2_p15087-r3.ebuild
new file mode 100644
index 0000000..3133f70
--- /dev/null
+++ b/media-plugins/mythvideo/mythvideo-0.20.2_p15087-r3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+ESVN_PATCHES="${FILESDIR}/videogallery.patch \
+ ${FILESDIR}/mythvideo-navigation-folders.patch \
+ ${FILESDIR}/mythvideo-gallery-coverfile.patch"
+
+inherit mythtv-plugins subversion
+
+DESCRIPTION="Video player module for MythTV."
+IUSE="mplayer xine"
+KEYWORDS="amd64 ppc x86"
+
+RDEPEND="dev-perl/libwww-perl
+ dev-perl/HTML-Parser
+ dev-perl/URI
+ dev-perl/XML-Simple
+ mplayer? ( || ( media-video/mplayer media-video/mplayer-bin ) )
+ xine? ( media-video/xine-ui )"
+DEPEND="${RDEPEND}"
+
+pkg_postinst() {
+ elog "MythVideo can use any media player to playback files, since"
+ elog "it's a setting in the setup menu."
+ elog
+ elog "MythTV also has an 'Internal' player you can use, though"
+ elog "it will not support as many formats. If you want to use it,"
+ elog "set the player to 'Internal' (note spelling & caps)."
+}